Subject: Compiling the CygWin source
From: [email-masked] (Jorrit Tyberghein)

13 Nov 1998 06:05:30 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,

Because I want to have a correct dlopen implementation (with the patches
that were sent to this list) I have no choice but to try to download the Cygwin
package myself. So I downloaded the developers sources. First I did
../configure which seems to work well. Then I just typed 'make'. For a while this
seemed to be working but then I got the following error:

gcc -g -O2  -o byacc.exe closure.o error.o lalr.o lr0.o main.o mkpar.o output.o
reader.o skeleton.o symtab.o verbose.o warshall.o
cp ./initscan.c scan.c
touch .bootstrap
gcc -c -I. -I. -g -O2 ccl.c
gcc -c -I. -I. -g -O2 dfa.c
gcc -c -I. -I. -g -O2 ecs.c
gcc -c -I. -I. -g -O2 gen.c
gcc -c -I. -I. -g -O2 main.c
gcc -c -I. -I. -g -O2 misc.c
gcc -c -I. -I. -g -O2 nfa.c
/temp/src/bison/bison -y -L /temp/src/bison/ -d ./parse.y
gcc -c -I. -I. -g -O2 parse.c
../parse.y:91: parse error before `{'
../parse.y:91: stray '\' in program
../parse.y:92: stray '\' in program
../parse.y:93: stray '\' in program
../parse.y:94: stray '\' in program
../parse.y:95: stray '\' in program
bison.simple:78: parse error before `do'
bison.simple:78: stray '\' in program
bison.simple:79: stray '\' in program
bison.simple:80: stray '\' in program
bison.simple:81: `yychar' undeclared here (not in a function)
bison.simple:81: `yychar' undeclared here (not in a function)
bison.simple:81: warning: data definition has no type or storage class
bison.simple:81: stray '\' in program
bison.simple:82: warning: data definition has no type or storage class
bison.simple:82: stray '\' in program
bison.simple:83: parse error before `goto'
bison.simple:83: stray '\' in program
bison.simple:84: stray '\' in program
bison.simple:85: stray '\' in program
bison.simple:86: stray '\' in program
bison.simple: In function `yyparse':
bison.simple:268: `yychar' undeclared (first use in this function)
bison.simple:268: (Each undeclared identifier is reported only once
bison.simple:268: for each function it appears in.)
../parse.y:742: stray '\' in program
../parse.y:743: stray '\' in program
../parse.y:744: stray '\' in program
../parse.y:745: stray '\' in program
../parse.y:746: stray '\' in program
../parse.y:747: stray '\' in program
../parse.y:748: stray '\' in program
../parse.y:749: stray '\' in program
../parse.y:750: stray '\' in program
../parse.y:751: stray '\' in program
../parse.y:754: stray '\' in program
../parse.y:755: parse error before `else'
../parse.y:756: stray '\' in program
../parse.y:758: stray '\' in program
make[1]: *** [parse.o] Error 1
make: *** [all-flex] Error 2

What can I do?

Greetings,

--
==============================================================================
[email-masked], University Hospitals KU Leuven BELGIUM

What our ancestors would really be thinking, if they were alive today,
is: "Why is it so dark in here?"
        -- (Terry Pratchett, Pyramids)
==============================================================================

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".